require_relative '../spec_helper'
require_relative '../../lib/sastbox-sdk'


RSpec.describe 'Opt_parser' do
  let(:scanner) do
    SastBox::Scanner.new(
      name: 'test_name',
      name_alias: 'test_alias',
      description: 'test_desc',
      support: ['test_support'],
      version: '0.1',
      tool: 'test_tool'
    )
  end

  describe 'parse_opts' do
    context 'should parse all the provided options' do
      subject { scanner.parse_opts(['-c', 'codebase', '-o', 'outputfile', '-v', '-t', '2', '-n']) }

      it 'codebase - is expected to eq "codebase"' do
        expect(subject.codebase).to eq 'codebase'
      end

      it "output - is expected to eq outputfile" do
        expect(subject.output).to eq 'outputfile'
      end

      it "verbose - is expected to equal true" do
        expect(subject.verbose).to be true
      end

      it "timeout - is expected to equal 120" do
        expect(subject.timeout).to be 120
      end

      it "info - is expected to eq false" do
        expect(subject.info).to be false
      end

      it "color - is expected to equal true" do
        expect(subject.color).to be true
      end
    end
  end
end

